package org.dromara.zhishu;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum BookParamsEnum {

    ISBN("isbn", "isbn"),

    BOOK_NAME("bookName", "书名"),

    AUTHOR("author", "作者"),

    PRESS("press", "出版社"),

    PRESS_DATE("pressDate", "出版日期"),


    PRICE("price", "价格（单位：分）"),

    PRESS_PLACE("pressPlace", "出版地"),

    PICTURES("pictures", "出版地"),

    BOOK_DESC("bookDesc", "出版地"),


    BINDING("binding", "装订方式"),

    LANGUAGE("language", "语言"),

    FORMAT("format", "开本"),

    PAGES("pages", "页数"),

    EDITION("edition", "字数"),

    WORDS("words", "字数");

    private final String params;

    /**
     * SpEL 模板表达式，用于构建 SQL 查询条件
     */
    private final String name;


}
